﻿body,
html {
    font-family: Microsoft YaHei, PingFang SC, Helvetica Neue, Helvetica, PingFangSC-Regular, 宋体, "sans-serif";
}

input::placeholder {
    font-size: 14px !important;
}

.label {
    font-size: 14px;
}

.waiting-container {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: black;
    z-index: 9999;
    -moz-opacity: 0.4;
    opacity: .40;
    filter: alpha(opacity=40);
}

.loading-img {
    text-align: center;
    margin: auto;
}

.loading-img-content {
    width: 100px;
    height: 100px;
    background-image: url("../img/personnel-loading.gif");
    background-size: cover;
    margin: auto;
    margin-top: 200px;
}

/*右侧固定快捷按钮*/
.side-menu {
    display: block;
    position: fixed;
    right: 30px;
    top: 25%;
    background: rgba(0, 170, 255, 0.1);
    margin: 0;
    padding: 0 10px;
}

.side-menu .side-menu-toggle {
    position: absolute;
    top: -10px;
    right: -10px;
    color: #2d5cf8;
    cursor: pointer;
}

.side-menu-item {
    display: flex;
    flex-direction: column;
    padding: 15px 0;
    align-items: center;
    font-size: 12px;
    position: relative;
}

.side-menu-item img {
    width: 20px;
    height: 20px;
    margin-bottom: 10px;
}

.side-menu-item::after {
    content: "";
    display: inline-block;
    position: absolute;
    width: 50%;
    height: 1px;
    background: #fff;
    bottom: 0;
    left: 25%;
}

.side-menu-item:last-child::after {
    display: none;
}

.side-menu-hide .side-menu-item {
    display: none;
}

.star-five {
    width: 13px;
    height: 13px;
    display: inline-block;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 13px;
    background-image: url('../img/star-five.svg');
}

.star-five.active {
    background-image: url('../img/star-five-active.svg');
}

/* 右下角悬浮按钮 */
.floating-content {
    position: fixed;
    right: 5px;
    bottom: 20%;
    text-align: center;
    width: 50px;
    height: 50px;
}

.floating-button {
    background-color: rgba(0, 170, 255, 0.1);
    color: #007FFF;
    font-weight: bold;
}

    .floating-button p {
        margin-top: 5px;
    }
